Skip to main content
GET
Get run event

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

run_id
string<uuid>
required
event_id
integer
required

Response

Run event

event_id
integer
required
Required range: x >= 0
event_type
enum<string>
required
Available options:
RUN_STARTED
payload
object
required
is_error
boolean
required
created_at
string
required
run_id
string<uuid>
required

Run identifier associated with the record.

event_class
enum<string>
required

The event class associated with this record.

Available options:
fact,
delta
span_id
string
required

The span id associated with this record.

Minimum string length: 1
parent_span_id
string | null
required

The parent span id associated with this record.

Minimum string length: 1
turn_id
string | null
required

The turn id associated with this record.

Minimum string length: 1
origin_event_type
string
required

The origin event type associated with this record.

Minimum string length: 1
origin_custom_name
string | null
required

The origin custom name associated with this record.

Minimum string length: 1
unrecoverable_fields
string[]
required

List of unrecoverable fields associated with this record.

One unrecoverable field item associated with this record.

Minimum string length: 1